Skip to content
Install and manage different Ruby versions from within Ruby code.
Ruby
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
bin
lib
test
.gemtest
.gitignore
.rvmrc
.travis.yml
Gemfile
LICENSE
README.md
Rakefile
molti.gemspec

README.md

Just some 1:45am brainstorming:

Blah.setup('./foo')     # Everything works relatively to File.join(File.dirname(__FILE__), 'foo') unless you specify a dir
Blah.install('mri-1.8') # alias for latest MRI 1.8
Blah.ruby('mri-1.8')    #=> File.join(File.dirname(__FILE__), 'foo', 'mri', '1.8', 'ruby' + RbConfig::CONFIG['EXEEXT'])
Blah.irb('mri-1.8')     #=> File.join(File.dirname(__FILE__), 'foo', 'mri', '1.8', 'irb' + RbConfig::CONFIG['EXEEXT'])
Something went wrong with that request. Please try again.